Page MenuHomePhabricator

Please put domain *.asc-test.nl on the list of whitelisted domains for upload with GWToolset
Closed, ResolvedPublic

Description

Could you please add

*.asc-test.nl

to the wgCopyUploadsDomains whitelisted domains list for upload with GWToolset?
Test image is

http://wikiupload.asc-test.nl/photos/G_01.tif

already uploaded to Wikimedia Commons with UploadWizard as

https://commons.wikimedia.org/wiki/File:ASC_Leiden_-_Coutinho_Collection_-_G_01_-_Ziguinchor,_Senegal_-_Cholera_vaccinations_by_Guinean_nurse_-_1973.tif

Motivation

The African Studies Centre at Leiden intends to donate 1100+ images from Africa to Wikimedia Commons. I am https://commons.wikimedia.org/wiki/User:Hansmuller and was their Wikipedian-in-Residence in 2014 and help them with the present upload. In the past they have already donated images, see

https://commons.wikimedia.org/wiki/Category:Images_from_the_African_Studies_Centre_%28Leiden%29

though not using the GlamWikiToolset. Thank you for considering this request, best regards,

Hans Muller

https://en.wikipedia.org/wiki/User:Hansmuller English WP
https://nl.wikipedia.org/wiki/Gebruiker:Hansmuller Dutch WP

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2016, 1:05 PM
Hansmuller renamed this task from Please put domain http://wikiupload.asc-test.nl/photos/G_01.tif to Please put domain *.asc-test.nl on the list of whitelisted domains for upload with GWToolset.Apr 21 2016, 1:14 PM
Hansmuller updated the task description. (Show Details)
Restricted Application added subscribers: JEumerus, Steinsplitter, Matanya. · View Herald TranscriptApr 21 2016, 1:14 PM
Hansmuller updated the task description. (Show Details)Apr 21 2016, 1:22 PM
Hansmuller updated the task description. (Show Details)
Hansmuller updated the task description. (Show Details)Apr 21 2016, 1:29 PM
Hansmuller updated the task description. (Show Details)
Hansmuller updated the task description. (Show Details)Apr 21 2016, 1:37 PM
Hansmuller updated the task description. (Show Details)
Urbanecm claimed this task.Apr 21 2016, 2:51 PM
Urbanecm triaged this task as Normal priority.
Urbanecm added a subscriber: Urbanecm.

Ok. It'll be deployed on April 25 15:00-16:00 UTC.

Change 284712 had a related patch set uploaded (by Urbanecm):
Add *.asc-test.nl to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/284712

I've scheduled the change for Morning SWAT window on April 25 (15:00-16:00) SWAT.

Change 284712 merged by jenkins-bot:
Add *.asc-test.nl to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/284712

Mentioned in SAL [2016-04-25T16:10:21Z] <jzerebecki@tin> Synchronized wmf-config/InitialiseSettings.php: config 1b156b46d42f2482c1941427dc4ec8aeb427f0b3 T133286 : Add *.asc-test.nl to wgCopyUploadsDomains (duration: 00m 27s)

Please test if this worked.

Hansmuller added a comment.EditedApr 29 2016, 8:45 AM

Is it OK if i upload next week? The point is that testing one image in practice equals preparing the whole upload. I just got the final metadata and massaging them for GWToolset, perhaps adjusting translations etc.. can take a few working days.

This procedure of whitelisting has worked excellently with me say 10 times ever since May 2014, thanks to you guys (testing was never necessary, it is a new feature). So i trust it works this time as well. Best regards, Hansmuller

PS It's probably my own fault (forgot to set the security?), but it seems better if domains and paths are not publicly divulged. Can this be repaired? Thank you, Hansmuller

Urbanecm added a comment.EditedApr 29 2016, 10:12 AM

Yes, sure. The domain will remain whitelisted as long it'll be possible so you can upload it anytime you want.

Usually the one who prepared the patch (in this case, me) should test if it works. But I have no access to GWToolset so I can't test it. That's the reason why we asked you if you can test it.

Why do you want to move the domain to private settings? The file with settings (and whitelisted domains) is publicly visible and I can't find out any reason why this domain shouldn't be visible now. Thanks for your reply.

Urbanecm closed this task as Resolved.Apr 29 2016, 1:11 PM

Deployed.

The private settings files are for passwords, this won't be moved there.

@Krenair I know but there must be some reason why Hans requested hiding this. So I asked for it :).